/* PODCASTS */

.podcasts {
    padding-top: 100px;
    padding-bottom: 40px;
    background: #f2e0fe;
}

.podcast-title {
    text-align: center;
    font-size: 38px;
    color: #2D1B4D;
    font-weight: 800;
    padding: 40px 0;
    letter-spacing: 2px;
}

/* FEATURED */

.featured-podcast {
    margin: 0 auto 80px auto;
    text-align: center;
}

.video-wrapper iframe {
    aspect-ratio: 16/9;
    object-fit: contain;
    height: auto;
    border-radius: 12px;
}

.featured-info {
    margin: 20px auto 0 auto;
}

.featured-info h2 {
    font-size: 32px;
    text-align: start;
    font-weight: 800;
    margin-top: 20px;
}

.featured-info .desc {
    color: #555557;
    text-align: start;
    font-size: 24px;
    margin: 5px 0;
}

.featured-info p {
    color: #6c757d;
    text-align: start;
    font-size: 24px;
    margin: 5px 0;
}


/* LIST SECTION */

.podcast-list-section {
    background: #fff;
    padding: 60px 0;
}

.podcast-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 60%;
}

/* ITEM */

.podcast-item {
    display: flex;
    gap: 40px;
    width: 100%;
    margin: auto;
    padding: 40px 0;
    border-top: 1px solid #8B49AA;
    align-items: flex-start;
    /* align items to top */
}

.podcast-video {
    flex: 0 0 420px;
}

.podcast-video iframe,
.podcast-video video,
.podcast-video img {
    width: 100%;
    min-height: 220px;
    height: auto;
    aspect-ratio: 16/9;
    object-fit: contain;
    border-radius: 8px;
}

.podcast-content {
    display: flex;
    flex: 1;
    min-height: 220px;
    flex-direction: column;
}

.podcast-author {
    margin-top: auto;
    padding-top: 10px;
}

.podcast-content h3,
.podcast-desc {
    margin-bottom: 20px;
}

.podcast-content h3 {
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 10px;
}

.podcast-content p {
    font-size: 16px;
}

.podcast-desc {
    color: #000000;
    font-size: 18px;
    line-height: 26px;
    margin-bottom: 15px;
}

.podcast-author {
    color: #777;
    font-size: 16px;
}

/* LOAD MORE */

.load-more-podcast {
    margin: 50px auto 0 auto;
    padding: 12px 26px;
    background: #2D1B4D;
    color: white;
    border: none;
    border-radius: 12px;
    cursor: pointer;
}

/* RESPONSIVE */

@media(max-width:992px) {
    .featured-podcast {
        margin: 0;
    }

    .video-wrapper iframe {
        width: 100%;
        height: 420px;
        border-radius: 12px;
    }

    .featured-info {
        max-width: 100%;
        margin: 30px auto 10px auto;
    }

    .podcast-list {
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 100%;
    }

    .podcast-item {
        flex-direction: column;
        align-items: stretch;
        /* let media fill width on mobile */
        gap: 10px;
        width: 90%;
    }

    .podcast-video {
        flex: 0 0 auto;
        width: 100%;
    }

    .podcast-video iframe,
    .podcast-video video,
    .podcast-video img {
        width: 100%;
        height: auto;
        aspect-ratio: 16/9;
        object-fit: contain;
    }

    .video-wrapper iframe {
        height: 260px;
    }
}